(function(){
	tinymce.create("tinymce.plugins.exp_patterns", {
		init: function(editor, url) {
			editor.addButton("exp_patterns", {
				title: "Patterns",
				icon: "icon exp_patterns exp-mce-icon dashicons-format-chat",
				onclick: function(){
					editor.windowManager.open({
						title: "Patterns",
						bodyType: "tabpanel",
						body: [
							{
								title: "General",
								type: "form",
								items:[
								
		
									{type: "selectbox", name: "pattern", label: "pattern", tooltip: "", options:["1","2","3","4","5","6","7","8","9","10","11","12","13","14"] },
									{type: "selectbox", name: "tag_type", label: "Tag Type", tooltip: "", options:["p","h1","h2","h3","h4","span","strong"] },
									{type: "colorpicker", name: "color", label: "Color", classes:"color", tooltip: ""}		
								
								]
							},
							{
								title: "About",
								type: "form",
								items:[
									{type: "panel",html:"<h4 style='font-size:24px;font-weight:600;'>Patterns v.1.0.1</h4><br/><p style='font-size:12px;'>Created by <a style='font-size:12px;cursor:pointer;font-weight:600;' href='https://everxp.com'>1178 Team</a></p>"},
								]
							}
						],
						onsubmit: function(e){
							var shortcode = "";
							shortcode += "[exp_patterns ";
							if(e.data.pattern == ""){
								e.data.pattern = "11";
							}
							shortcode +="pattern=\""  + e.data.pattern + "\" " ;
							if(e.data.tag_type == ""){
								e.data.tag_type = "p";
							}
							shortcode +="tag_type=\""  + e.data.tag_type + "\" " ;
							if(e.data.color == ""){
								e.data.color = "#000000";
							}
							shortcode +="color=\""  + e.data.color + "\" " ;
							shortcode += "]";
							shortcode += "[/exp_patterns]";
							editor.insertContent(shortcode);
						}
					});
				}
			});
		},
		createControl: function(n, cm) {
			return null;
		},
		getInfo: function() {
			return {
				longname: "EXP - Patterns",
				author: "1178 Team",
				authorurl: "https://everxp.com",
				infourl: "https://everxp.com",
				version: "1.0.1"
			};
		}
	});
	tinymce.PluginManager.add("exp_patterns", tinymce.plugins.exp_patterns);
})();
