<?php

/**
 * Plugin Name: EverXP
 * Plugin URI: https://everxp.com
 * Description: Creates millions of different unique experiences for every visitor & deliver dynamic web experiences
 * Version: 1.0.1
 * Author: 1178 Team
 * Author URI: https://accessily.com
 * License: GNU General Public License v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: everxp
 * Domain Path: /l10n
**/


// If this file is called directly, abort.
if (!defined("WPINC")){
	die;
}


/**
 * Silent is golden
**/
if (!defined("EXP_EXEC")){
	define("EXP_EXEC",true);
}

/**
 * Debug
**/
if (!defined("EXP_DEBUG")){
	define("EXP_DEBUG",false);
}


/**
 * Plugin File
**/
if (!defined("EXP_FILE")){
	define("EXP_FILE",__FILE__);
}

/**
 * Plugin Path
**/
if (!defined("EXP_PATH")){
	define("EXP_PATH",dirname(__FILE__));
}

/**
 * Plugin Base URL
**/
if (!defined("EXP_URL")){
	define("EXP_URL",plugins_url("/",__FILE__));
}

/**
 * RAW PHP Codes
**/

/**
 * The plugin class.
**/
require EXP_PATH . "/incl/setup.php";

/** Scripts **/
require EXP_PATH . "/incl/enqueue-scripts.php";

/** Styles **/
require EXP_PATH . "/incl/enqueue-styles.php";
/** plugin options **/
require EXP_PATH . "/incl/plugin-options.php";
/** short-codes **/
require EXP_PATH . "/incl/short-codes.php";
/** admin-notices **/
require EXP_PATH . "/incl/admin-notices.php";

/** Elementor **/
require EXP_PATH . "/incl/elementor-widgets.php";

/** REST-API **/
require EXP_PATH . "/incl/rest-api.php";


/**
 * Begins execution of the plugin.
**/
function run_everxp_wordpress_plugin()
{
	$plugin = new EverxpWordpressPlugin();  
}

run_everxp_wordpress_plugin();
