<?php

/**
 * @author 1178 Team
 * @package ExpEnqueueStyles
 * @license GNU General Public License v2 or later
**/


defined("EXP_EXEC") or die("Silent is golden");

/**
 * ExpEnqueueStyles
**/
class ExpEnqueueStyles{


	/**
	 * ExpEnqueueStyles:__construct()
	**/
	function __construct()
	{
	
		// front-end
		add_action("wp_enqueue_scripts", array($this, "expLoadStyles"));
	
	}
	
	
	/**
	 * ExpEnqueueStyles:expLoadStyles
	 * ref: https://developer.wordpress.org/reference/functions/wp_enqueue_style/
	**/
	function expLoadStyles()
	{
		wp_enqueue_style("exp_default", EXP_URL . "assets/css/default.css", array(),"1.0.1","all" );
		wp_enqueue_style("exp_times_shortcode", EXP_URL . "assets/css/times-shortcode.css", array(),"1.0.1","all" );
	}
	
	
}
