(function(){
	tinymce.create("tinymce.plugins.exp_quotes", {
		init: function(editor, url) {
			editor.addButton("exp_quotes", {
				title: "Quotes",
				icon: "icon exp_quotes exp-mce-icon dashicons-format-quote",
				onclick: function(){
					editor.windowManager.open({
						title: "Quotes",
						bodyType: "tabpanel",
						body: [
							{
								title: "General",
								type: "form",
								items:[
								
		
									{type: "selectbox", name: "quote", label: "Quote", tooltip: "", options:["Alone","Attitude","Best Life","Fictional","Characters","Friendship","Happiness","inspirational","Leadership","Life","Love","Motivational","Nature","Reading","Relationship","Smile","Strength","Success","Time","Trust","Wisdom","Woman"] },
									{type: "selectbox", name: "tag_type", label: "Tag Type", tooltip: "", options:["p","h1","h2","h3","h4","span","strong"] },
									{type: "colorpicker", name: "color", label: "Color", classes:"color", tooltip: ""}		
								
								]
							},
							{
								title: "About",
								type: "form",
								items:[
									{type: "panel",html:"<h4 style='font-size:24px;font-weight:600;'>Quotes v.1.0.1</h4><br/><p style='font-size:12px;'>Created by <a style='font-size:12px;cursor:pointer;font-weight:600;' href='https://everxp.com'>1178 Team</a></p>"},
								]
							}
						],
						onsubmit: function(e){
							var shortcode = "";
							shortcode += "[exp_quotes ";
							if(e.data.quote == ""){
								e.data.quote = "inspirational";
							}
							shortcode +="quote=\""  + e.data.quote + "\" " ;
							if(e.data.tag_type == ""){
								e.data.tag_type = "p";
							}
							shortcode +="tag_type=\""  + e.data.tag_type + "\" " ;
							if(e.data.color == ""){
								e.data.color = "#000000";
							}
							shortcode +="color=\""  + e.data.color + "\" " ;
							shortcode += "]";
							shortcode += "[/exp_quotes]";
							editor.insertContent(shortcode);
						}
					});
				}
			});
		},
		createControl: function(n, cm) {
			return null;
		},
		getInfo: function() {
			return {
				longname: "EXP - Quotes",
				author: "1178 Team",
				authorurl: "https://everxp.com",
				infourl: "https://everxp.com",
				version: "1.0.1"
			};
		}
	});
	tinymce.PluginManager.add("exp_quotes", tinymce.plugins.exp_quotes);
})();
