(function(){
	tinymce.create("tinymce.plugins.exp_times", {
		init: function(editor, url) {
			editor.addButton("exp_times", {
				title: "Times",
				icon: "icon exp_times exp-mce-icon dashicons-calendar-alt",
				onclick: function(){
					editor.windowManager.open({
						title: "Times",
						bodyType: "tabpanel",
						body: [
							{
								title: "General",
								type: "form",
								items:[
								
		
									{type: "selectbox", name: "time", label: "Time", tooltip: "", options:["1","2","3","4"] },
									{type: "selectbox", name: "tag_type", label: "Tag Type", tooltip: "", options:["p","h1","h2","h3","h4","span","strong"] },
									{type: "colorpicker", name: "color", label: "Color", classes:"color", tooltip: ""}		
								
								]
							},
							{
								title: "About",
								type: "form",
								items:[
									{type: "panel",html:"<h4 style='font-size:24px;font-weight:600;'>Times v.1.0.1</h4><br/><p style='font-size:12px;'>Created by <a style='font-size:12px;cursor:pointer;font-weight:600;' href='https://everxp.com'>1178 Team</a></p>"},
								]
							}
						],
						onsubmit: function(e){
							var shortcode = "";
							shortcode += "[exp_times ";
							if(e.data.time == ""){
								e.data.time = "1";
							}
							shortcode +="time=\""  + e.data.time + "\" " ;
							if(e.data.tag_type == ""){
								e.data.tag_type = "p";
							}
							shortcode +="tag_type=\""  + e.data.tag_type + "\" " ;
							if(e.data.color == ""){
								e.data.color = "#000000";
							}
							shortcode +="color=\""  + e.data.color + "\" " ;
							shortcode += "]";
							shortcode += "[/exp_times]";
							editor.insertContent(shortcode);
						}
					});
				}
			});
		},
		createControl: function(n, cm) {
			return null;
		},
		getInfo: function() {
			return {
				longname: "EXP - Times",
				author: "1178 Team",
				authorurl: "https://everxp.com",
				infourl: "https://everxp.com",
				version: "1.0.1"
			};
		}
	});
	tinymce.PluginManager.add("exp_times", tinymce.plugins.exp_times);
})();
