<?php

/**
 * @author 1178 Team
 * @package ExpAdminNotices
 * @license GNU General Public License v2 or later
**/


defined("EXP_EXEC") or die("Silent is golden");

/**
 * ExpAdminNotices
**/
class ExpAdminNotices{


	/**
	 * ExpAdminNotices:__construct()
	**/
	function __construct()
	{
		if (!defined("ELEMENTOR_VERSION")){
			add_action("admin_notices",array($this,"expElementorNotice"));
		}
	}
	
	
	/**
	 * ExpAdminNotices:expElementorNotice( $admin_notice)
	**/
	function expElementorNotice( $admin_notice){
		$plugin_data = get_plugin_data(EXP_FILE);
		echo '<div id="message-elementor" class="error notice is-dismissible">
			<p>'. sprintf(__('<strong>%s</strong> requires <a target="_blank" href="https://wordpress.org/plugins/elementor/">Elementor</a> Plugin to be installed and activated on your site.','everxp'), $plugin_data["Name"]).'</p>
		</div>';
		
	}
	
	
}
//EOF
