<?php

/**
 * @author 1178 Team
 * @package ExpApiSettingsAdminPage
 * @license GNU General Public License v2 or later
**/


defined("EXP_EXEC") or die("Silent is golden");

/**
 * ExpApiSettingsAdminPage
**/
class ExpApiSettingsAdminPage{
	
	
	/**
	 * ExpApiSettingsAdminPage:__construct()
	**/
	function __construct()
	{
		if(is_admin()){
			add_action("admin_menu", array($this, "exp_admin_menu"));
		}
	}
	
	
	/**
	 * Add top level admin menu
	 * ExpApiSettingsAdminPage:exp_admin_menu()
	**/
	function exp_admin_menu()
	{
		add_menu_page(
			__("API Settings","everxp"), //page title
			__("API Settings","everxp"), //anchor link
			"read",
			"exp_api_settings",
			array($this,"exp_markup"),
			"dashicons-admin-generic",
			59
		);
	}
	
	
	/**
	 * Create markup for top level admin menu
	 * ExpApiSettingsAdminPage:exp_markup()
	**/
	function exp_markup()
	{
?>
<h1>Hello</h1>
<?php

	}
	
	
}
//EOF
