<?php

/**
 * @author 1178 Team
 * @package ExpElementorWidgets
 * @license GNU General Public License v2 or later
**/


defined("EXP_EXEC") or die("Silent is golden");


/**
 * ExpElementorWidgets
**/
class ExpElementorWidgets{

	/**
	 * ExpElementorWidgets:__construct()
	**/
	function __construct(){
		add_action("elementor/widgets/register", array($this, "exp_register_cta_widget"));
		add_action("elementor/widgets/register", array($this, "exp_register_humanitarian_widget"));
		add_action("elementor/widgets/register", array($this, "exp_register_patterns_widget"));
		add_action("elementor/widgets/register", array($this, "exp_register_quotes_widget"));
		add_action("elementor/widgets/register", array($this, "exp_register_times_widget"));
	}

	/**
	 * ExpElementorWidgets:__construct()
	**/
	function exp_register_cta_widget($widgets_manager){
		require_once( EXP_PATH . "/incl/elementor-widgets/cta-widget.php");
		$widgets_manager->register( new \Elementor_cta_Widget());
	}

	/**
	 * ExpElementorWidgets:__construct()
	**/
	function exp_register_humanitarian_widget($widgets_manager){
		require_once( EXP_PATH . "/incl/elementor-widgets/humanitarian-widget.php");
		$widgets_manager->register( new \Elementor_humanitarian_Widget());
	}

	/**
	 * ExpElementorWidgets:__construct()
	**/
	function exp_register_patterns_widget($widgets_manager){
		require_once( EXP_PATH . "/incl/elementor-widgets/patterns-widget.php");
		$widgets_manager->register( new \Elementor_patterns_Widget());
	}

	/**
	 * ExpElementorWidgets:__construct()
	**/
	function exp_register_quotes_widget($widgets_manager){
		require_once( EXP_PATH . "/incl/elementor-widgets/quotes-widget.php");
		$widgets_manager->register( new \Elementor_quotes_Widget());
	}

	/**
	 * ExpElementorWidgets:__construct()
	**/
	function exp_register_times_widget($widgets_manager){
		require_once( EXP_PATH . "/incl/elementor-widgets/times-widget.php");
		$widgets_manager->register( new \Elementor_times_Widget());
	}
}
//EOF


